# Ghost User Maker

This is a simple webapp that takes in an author's details and exports it in a format that can be imported to
[Ghost](https://ghost.org). It has been designed as a workaround to the fact that Ghost doesn't let you directly add authors
from the admin panel without going through the process of inviting them via email.

## I just want to add my authors!

That's simple! Use the final product at the following link: https://ghost-user-maker.code.snipettemag.com

## Development

Ghost User Maker is powered by [TypeScript](https://www.typescriptlang.org/) and [Svelte](https://svelte.dev/), with
[Yarn](https://yarnpkg.com) for dependency management. After cloning this repo, you can get it going using the normal
process:

```bash
yarn install
yarn dev
```

This will start up a live-reload development server at `http://localhost:8080` which you can access from your browser.

### Deployment

When you're done with coding and ready to deploy, simply run the following command:

```bash
yarn build
```

The output will be saved to the `public/` directory, which can then be deployed to any ordinary static HTTP server.
That's right, there's no special backend process needed to keep this app running :wink:

Similarly, if you want to deploy your site on a service like [Netlify](https://netlify.com), you can use `yarn build`
as the build command and `public/` as the directory to be published.

### Contributing

Since this is a simple app, there's not much left to do, but if you feel there's something missing, contributions
would be welcome! Feel free to open an issue, comment, or pull request as appropriate. And, thanks in advance!

## Credits

- This project is powered by [Svelte](https://svelte.dev/) and created using the template at https://github.com/sveltejs/template.
- Icons courtesy [FontAwesome](https://fontawesome.com) via the [fa-svelte](https://github.com/alphapeter/fa-svelte) NPM module
- The favicon is also from FontAwesome, but generated using Florian Gauger's [fonticon tool](https://gauger.io/fonticon/)

This project is licensed under the GPL version 3 (or later). See the LICENSE file for details. If you want to use this software under a different license instead, feel free to raise an issue and we'll get in touch.
